org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerPartialBase<T>

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<T>

Type Parameters:
  `T` - The type of message to handle

All Implemented Interfaces:
  MessageHandler, MessageHandler.Partial<T>, WrappedMessageHandler

Direct Known Subclasses:
  PojoMessageHandlerPartialBinary, PojoMessageHandlerPartialText

    public abstract class PojoMessageHandlerPartialBase<T>
    extends PojoMessageHandlerBase<T>
    implements MessageHandler.Partial<T>

Common implementation code for the POJO partial message handlers. All the real work is done in this class and in the superclass.

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

### Constructor Summary

Constructors
Constructor and Description
`PojoMessageHandlerPartialBase(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)`

### Method Summary

Methods
`void` `onMessage(T message, boolean last)` Called when part of a message is available to be processed.

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, processResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoMessageHandlerPartialBase

    public PojoMessageHandlerPartialBase(Object pojo,
                                 Method method,
                                 Session session,
                                 Object[] params,
                                 int indexPayload,
                                 boolean convert,
                                 int indexBoolean,
                                 int indexSession,
                                 long maxMessageSize)

### Method Detail

#### onMessage

    public final void onMessage(T message,
                 boolean last)

Description copied from interface: `javax.websocket.MessageHandler.Partial`
Called when part of a message is available to be processed.

Specified by:
  `onMessage` in interface `MessageHandler.Partial<T>`
Parameters:
  `message` - The message part
  `last` - `true` if this is the last part of this message, else `false`